- Classes
- Namespaces
- Interfaces
- Index

PHP-FFMpeg API
Class

# FFMpeg\Binary

abstract class Binary implements AdapterInterface

Binary abstract class

## Methods

| __construct(type $binary, Logger $logger) Binary constructor |
| __destruct() Destructor |
static Binary | load(Logger $logger) Loads the adapter |

## Details

###
at line 39
`public __construct(type $binary, Logger $logger)`

Binary constructor

#### Parameters

type | $binary | The path file to the binary
Logger | $logger | A logger

###
at line 52
`public __destruct()`

Destructor

###
at line 65
`static public Binary load(Logger $logger)`

Loads the adapter

#### Parameters

Logger | $logger | A logger

#### Return Value

Binary | The binary